INFORM(1)

NAME
inform - compile Inform interactive fiction story files to Z-machine bytecode

SYNOPSIS
inform [options...] infile [outfile]

DESCRIPTION
inform compiles an Inform version 6 story file (usually with the extension .inf) into Z-machine bytecode which can then be executed by a variety of Z-machine emulators. If the output filename is not explicitly given on the command line, it will be constructed from the input filename.

inform's mode of operation can be controlled with switches (one- or two-character expressions preceded by a dash), path modifiers (starting with a plus sign) and memory strategy modifiers (starting with a dollar sign).

  SWITCHES

-a  trace assembly-language (without hex dumps; see -t)

-c  more concise error messages

-d  contract double spaces after full stops in text

-d2 contract double spaces after exclamation and question marks, too

-e  economy mode (slower): make use of declared abbreviations

-f  frequencies mode: show how useful abbreviations are

-g  traces calls to functions (except in the library)

-g2 traces calls to all functions

-h, -h1, -h2
    print usage information

-i  ignore default switches set within the file

-j  list objects as constructed

-k  output Infix debugging information to "gameinfo.dbg" (and switch -D on)

-l  list every statement run through Inform

-m  say how much memory has been allocated

-n  print numbers of properties, attributes and actions

-o  print offset addresses

-p  give percentage breakdown of story file

-q  keep quiet about obsolete usages

-r  record all the text to "gametext.txt"

-s  give statistics

-t  trace assembly-language (with full hex dumps; see -a)

-u  work out most useful abbreviations (very very slowly)

-vn compile to a specific Z-code version; the default is 5. Available versions are:

    3   version-3 ("Standard") story file

    4   version-4 ("Plus") story file

    5   version-5 ("Advanced") story file

    6   version-6 (graphical) story file

    8   version-8 (expanded "Advanced") story file

-w  disable warning messages

-x  print # for every 100 lines compiled

-y  trace linking system

-z  print memory map of the Z-machine

-B  use big memory model (for large version-6/version-7 files)

-Cn select text character set (defaults to 1):

    0   plain ASCII only

    1   ISO 8859-1 (Latin1)

    2   ISO 8859-2 (Latin2)

    3   ISO 8859-3 (Latin3)

    4   ISO 8859-4 (Latin4)

    5   ISO 8859-5 (Cyrillic)

    6   ISO 8859-6 (Arabic)

    7   ISO 8859-7 (Greek)

    8   ISO 8859-8 (Hebrew)

    9   ISO 8859-9 (Latin5)

-D  insert "Constant DEBUG;" automatically

-En select error message style (default is Archimedes):

    0   Archimedes-style error messages

    1   Microsoft-style error messages

    2   Macintosh MPW-style error messages

-F1 use temporary files to reduce memory consumption

-G  compile a Glulx game file

-H  use Huffman encoding to compress Glulx strings

-M  compile as a Module for future linking

-S  compile strict error-checking at run-time (on by default)

-U  insert "Constant USE_MODULES;" automatically

-Wn header extension table is at least n words (n = 3 to 99)

-X  compile with INFIX debugging facilities present

  PATH MODIFIERS

+dir
    set Include_Path to this directory

+PATH=dir
    change PATH to this directory

  MEMORY STRATEGY MODIFIERS
Note: it may be necessary to quote these parameters to prevent your shell from expanding them.

$small
    adjust memory settings to a small game

$large
    adjust memory settings to a large game

$huge
    adjust memory settings to a huge game (default)

$list
    list current memory allocation settings

$?parameter
    explain memory setting parameter (see $list for available parameters)

$parameter=value
    manually set parameter

SEE ALSO
zcode-interpreter(6) and the manuals and language reference in the inform-docs package, which can also be found online at <http://www.inform-fiction.org/inform6.html>.

AUTHOR
This manpage was written by Jan Nordholz <hesso@pool.math.tu-berlin.de> for the Debian distribution.